Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® Curve™

Reply
Contributor
Posts: 11
Registered: ‎07-27-2009
My Device: Not Specified

App World - Sorry, your device does not meet the system requirements that are needed

Hi, I’ve just got a blackberry which is my first. I am new to this. I'm trying to download the App World on my phone because I would like to get some applications on my phone. As I try to download the App World it says "Sorry, your device does not meet the system requirements that are needed to support Blackberry App World." I have tried to download this on my computer Via Cable and on my Blackberry Via the Browser.

If this doesn’t work for my blackberry is there any way around this so I can download applications from somewhere else. 

Network Provider: 02

Network Plan: Pay As You Go

Thanks.

 

Elite I
Posts: 6,343
Registered: ‎08-19-2008
My Device: 9800 - OS 6.0.0.246

Re: App World - Sorry, your device does not meet the system requirements that are needed

Your device has to meet the following 4 requirements

http://na.blackberry.com/eng/services/appworld/download.jsp#tab_tab_system_requirements

 

If you do not have a data plan then I'm afraid that you cannot use the app world

_______________________________________________________________________________________________________________
If someone has been helpful please consider giving them kudos by clicking the star to the left of their post.
Remember to resolve your thread by clicking Accepted Solution.
Contributor
Posts: 11
Registered: ‎07-27-2009
My Device: Not Specified

Re: App World - Sorry, your device does not meet the system requirements that are needed

Hi, thanks. Is this something my provider can activate free of charge or does this come at a monthly payment?

Can someone provide a bit of information about this please.

 

Thanks.

Elite I
Posts: 6,343
Registered: ‎08-19-2008
My Device: 9800 - OS 6.0.0.246

Re: App World - Sorry, your device does not meet the system requirements that are needed

It's a monthly payment.on top of your voice plan. Usually a data plan is an extra $20-$45 a month and usally comes with unlimited data. If you check on your carrier's website or call them, they can tell you their prices
_______________________________________________________________________________________________________________
If someone has been helpful please consider giving them kudos by clicking the star to the left of their post.
Remember to resolve your thread by clicking Accepted Solution.
New Member
Posts: 1
Registered: ‎02-16-2010
My Device: Blackberry 8820
My Carrier: T-mobile

Re: App World - Sorry, your device does not meet the system requirements that are needed

I am brand new to BlackBerries (smart phones altogether) and I have a 8820 without a data plan. I use the WiFi at my home to browse the internet I was hoping to download some apps. I located some online and sent the links to my yahoo and when i try to download the App World it says that I do not meet the system requirements. I updated my OS to 4.5 thinking that was the issue, but I still can't install the application. I also can't get my Yahoo messenger working. Do these require that data plan or is there a setting that will allow me to download using the WiFi? I have two phones (me and my wife)
Forums Advisor II
Posts: 967
Registered: ‎10-29-2009
My Device: 9550 Storm2/Verizon
My Carrier: Verizon

Re: App World - Sorry, your device does not meet the system requirements that are needed

If you are wanting something from BB App World than a Blackberry Data Plan is required.

Наглый пес! Вы должны быть благодарны мы даем Вам возможность проживать в нашем мире!
BB 9550 Verizon OS 5.0.0.1015 My Storm My Blackberry My Lifeline
If there is a Theme on my Blackberry, Hedone it!
If someone successfully helped you with an issue, say thank you by clicking "kudos" in their post and clicking the star.
Antiquis temporibus, nati tibi similes in rupibus ventosissimis exponebantur ad necem
If your issue has been solved, please mark the post that solved it for you!
New Member
Posts: 1
Registered: ‎07-14-2010
My Device: Not Specified

Re: App World - Sorry, your device does not meet the system requirements that are needed

um..thats crazy, to have to have a data plan. i'm with bell and it would probably cost a million to get one. you guys sure theres no way around it?

Elite I
Posts: 6,343
Registered: ‎08-19-2008
My Device: 9800 - OS 6.0.0.246

Re: App World - Sorry, your device does not meet the system requirements that are needed

Yes. You absolutely need a data plan.

_______________________________________________________________________________________________________________
If someone has been helpful please consider giving them kudos by clicking the star to the left of their post.
Remember to resolve your thread by clicking Accepted Solution.
New Member
Posts: 1
Registered: ‎02-02-2011
My Device: BlackBerry Curve 8900

Re: App World - Sorry, your device does not meet the system requirements that are needed

For some reason my sis and her boyfriend WERE able to install this software

Neither of us has a blackberry dataplan 0_o, now i tried my blackberry though mine says the error message in the OP

 

Any help?

 

Cipher

New Member
Posts: 1
Registered: ‎02-07-2011
My Device: bold 9700
My Carrier: t-mobile

Re: App World - Sorry, your device does not meet the system requirements that are needed

what about if u have a data plan already and still cant download app world??